Upstream information

CVE-2007-5970 at MITRE

Description

MySQL 5.1.x before 5.1.23 and 6.0.x before 6.0.4 allows remote authenticated users to gain privileges on arbitrary tables via unspecified vectors involving use of table-level DATA DIRECTORY and INDEX DIRECTORY options when creating a partitioned table with the same name as a table on which the user lacks privileges.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact None
SUSE Bugzilla entry: 348307 [RESOLVED / DUPLICATE]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • libmysqlclient18 >= 10.0.11-6.4
  • libmysqlclient18-32bit >= 10.0.11-6.4
  • libmysqlclient_r18 >= 10.0.11-6.4
  • libmysqlclient_r18-32bit >= 10.0.11-6.4
  • mariadb >= 10.0.11-6.4
  • mariadb-client >= 10.0.11-6.4
  • mariadb-errormessages >= 10.0.11-6.4
Patchnames:
SUSE Linux Enterprise Desktop 12 GA libmysqlclient18
SUSE Linux Enterprise Desktop 12 SP1
  • libmysqlclient18 >= 10.0.21-1.17
  • libmysqlclient18-32bit >= 10.0.21-1.17
  • libmysqlclient_r18 >= 10.0.21-1.17
  • libmysqlclient_r18-32bit >= 10.0.21-1.17
  • mariadb >= 10.0.21-1.17
  • mariadb-client >= 10.0.21-1.17
  • mariadb-errormessages >= 10.0.21-1.17
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA libmysqlclient18
SUSE Linux Enterprise Desktop 12 SP2
  • libmysqlclient18 >= 10.0.27-12.1
  • libmysqlclient18-32bit >= 10.0.27-12.1
  • libmysqlclient_r18 >= 10.0.27-12.1
  • libmysqlclient_r18-32bit >= 10.0.27-12.1
  • mariadb >= 10.0.27-12.1
  • mariadb-client >= 10.0.27-12.1
  • mariadb-errormessages >= 10.0.27-12.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA libmysqlclient18
SUSE Linux Enterprise Desktop 12 SP3
  • libmysqlclient18 >= 10.0.30-28.1
  • libmysqlclient18-32bit >= 10.0.30-28.1
  • libmysqlclient_r18 >= 10.0.30-28.1
  • libmysqlclient_r18-32bit >= 10.0.30-28.1
  • mariadb >= 10.0.30-28.1
  • mariadb-client >= 10.0.30-28.1
  • mariadb-errormessages >= 10.0.30-28.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libmysqlclient18
SUSE Linux Enterprise Module for Server Applications 15
  • libmysqld-devel >= 10.2.15-1.3
  • libmysqld19 >= 10.2.15-1.3
  • mariadb >= 10.2.15-1.3
  • mariadb-client >= 10.2.15-1.3
  • mariadb-errormessages >= 10.2.15-1.3
  • mariadb-tools >= 10.2.15-1.3
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 GA libmysqld-devel
SUSE Linux Enterprise Server 12
  • libmysqlclient18 >= 10.0.11-6.4
  • libmysqlclient18-32bit >= 10.0.11-6.4
  • mariadb >= 10.0.11-6.4
  • mariadb-client >= 10.0.11-6.4
  • mariadb-errormessages >= 10.0.11-6.4
  • mariadb-tools >= 10.0.11-6.4
Patchnames:
SUSE Linux Enterprise Server 12 GA libmysqlclient18
SUSE Linux Enterprise Server 12 SP1
  • libmysqlclient18 >= 10.0.21-1.17
  • libmysqlclient18-32bit >= 10.0.21-1.17
  • mariadb >= 10.0.21-1.17
  • mariadb-client >= 10.0.21-1.17
  • mariadb-errormessages >= 10.0.21-1.17
  • mariadb-tools >= 10.0.21-1.17
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA libmysqlclient18
SUSE Linux Enterprise Server 12 SP2
  • libmysqlclient18 >= 10.0.27-12.1
  • libmysqlclient18-32bit >= 10.0.27-12.1
  • mariadb >= 10.0.27-12.1
  • mariadb-client >= 10.0.27-12.1
  • mariadb-errormessages >= 10.0.27-12.1
  • mariadb-tools >= 10.0.27-12.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA libmysqlclient18
SUSE Linux Enterprise Server 12 SP3
  • libmysqlclient18 >= 10.0.30-28.1
  • libmysqlclient18-32bit >= 10.0.30-28.1
  • mariadb >= 10.0.30-28.1
  • mariadb-client >= 10.0.30-28.1
  • mariadb-errormessages >= 10.0.30-28.1
  • mariadb-tools >= 10.0.30-28.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libmysqlclient18
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libmysqlclient18 >= 10.0.27-12.1
  • mariadb >= 10.0.27-12.1
  • mariadb-client >= 10.0.27-12.1
  • mariadb-errormessages >= 10.0.27-12.1
  • mariadb-tools >= 10.0.27-12.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libmysqlclient18
SUSE Linux Enterprise Software Development Kit 12
  • libmysqlclient-devel >= 10.0.11-6.4
  • libmysqlclient_r18 >= 10.0.11-6.4
  • libmysqld-devel >= 10.0.11-6.4
  • libmysqld18 >= 10.0.11-6.4
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA libmysqlclient-devel
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libmysqlclient-devel >= 10.0.21-1.17
  • libmysqlclient_r18 >= 10.0.21-1.17
  • libmysqld-devel >= 10.0.21-1.17
  • libmysqld18 >= 10.0.21-1.17
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libmysqlclient-devel
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libmysqlclient-devel >= 10.0.27-12.1
  • libmysqlclient_r18 >= 10.0.27-12.1
  • libmysqld-devel >= 10.0.27-12.1
  • libmysqld18 >= 10.0.27-12.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libmysqlclient-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libmysqlclient-devel >= 10.0.30-28.1
  • libmysqlclient_r18 >= 10.0.30-28.1
  • libmysqld-devel >= 10.0.30-28.1
  • libmysqld18 >= 10.0.30-28.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libmysqlclient-devel
SUSE Linux Enterprise Workstation Extension 12
  • libmysqlclient_r18 >= 10.0.11-6.4
  • libmysqlclient_r18-32bit >= 10.0.11-6.4
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 GA libmysqlclient_r18
SUSE Linux Enterprise Workstation Extension 12 SP1
  • libmysqlclient_r18 >= 10.0.21-1.17
  • libmysqlclient_r18-32bit >= 10.0.21-1.17
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP1 GA libmysqlclient_r18
SUSE Linux Enterprise Workstation Extension 12 SP2
  • libmysqlclient_r18 >= 10.0.27-12.1
  • libmysqlclient_r18-32bit >= 10.0.27-12.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP2 GA libmysqlclient_r18
SUSE Linux Enterprise Workstation Extension 12 SP3
  • libmysqlclient_r18 >= 10.0.30-28.1
  • libmysqlclient_r18-32bit >= 10.0.30-28.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP3 GA libmysqlclient_r18
openSUSE Leap 15.0
  • libmysqld19 >= 10.2.14-lp150.1.1
  • mariadb >= 10.2.14-lp150.1.1
  • mariadb-client >= 10.2.14-lp150.1.1
  • mariadb-errormessages >= 10.2.14-lp150.1.1
Patchnames:
openSUSE Leap 15.0 GA libmysqld19
openSUSE Leap 42.1
  • libmysqlclient-devel >= 10.0.21-1.5
  • libmysqlclient18 >= 10.0.21-1.5
  • libmysqlclient18-32bit >= 10.0.21-1.5
  • libmysqlclient_r18 >= 10.0.21-1.5
  • libmysqld18 >= 10.0.21-1.5
  • mariadb >= 10.0.21-1.5
  • mariadb-client >= 10.0.21-1.5
  • mariadb-errormessages >= 10.0.21-1.5
Patchnames:
openSUSE Leap 42.1 GA libmysqlclient-devel
openSUSE Leap 42.2
  • libmysqlclient-devel >= 10.0.27-13.1
  • libmysqlclient18 >= 10.0.27-13.1
  • libmysqlclient_r18 >= 10.0.27-13.1
  • libmysqld18 >= 10.0.27-13.1
  • mariadb >= 10.0.27-13.1
  • mariadb-client >= 10.0.27-13.1
  • mariadb-errormessages >= 10.0.27-13.1
Patchnames:
openSUSE Leap 42.2 GA libmysqlclient-devel
openSUSE Leap 42.3
  • libmysqlclient-devel >= 10.0.30-21.1
  • libmysqlclient18 >= 10.0.30-21.1
  • libmysqlclient_r18 >= 10.0.30-21.1
  • libmysqld18 >= 10.0.30-21.1
  • mariadb >= 10.0.30-21.1
  • mariadb-client >= 10.0.30-21.1
  • mariadb-errormessages >= 10.0.30-21.1
Patchnames:
openSUSE Leap 42.3 GA libmysqlclient-devel
openSUSE Tumbleweed
  • libmysql56client18 >= 5.6.34-1.1
  • libmysql56client18-32bit >= 5.6.34-1.1
  • libmysql56client_r18 >= 5.6.34-1.1
  • libmysql56client_r18-32bit >= 5.6.34-1.1
  • libmysqlclient-devel >= 10.0.22-3.8
  • libmysqlclient18 >= 10.0.22-3.8
  • libmysqlclient18-32bit >= 10.0.22-3.8
  • libmysqlclient_r18 >= 10.0.22-3.8
  • libmysqlclient_r18-32bit >= 10.0.22-3.8
  • libmysqld-devel >= 10.0.22-3.8
  • libmysqld18 >= 10.0.22-3.8
  • mariadb >= 10.0.22-3.8
  • mariadb-bench >= 10.0.22-3.8
  • mariadb-client >= 10.0.22-3.8
  • mariadb-errormessages >= 10.0.22-3.8
  • mariadb-test >= 10.0.22-3.8
  • mariadb-tools >= 10.0.22-3.8
  • mysql-community-server >= 5.6.34-1.1
  • mysql-community-server-bench >= 5.6.34-1.1
  • mysql-community-server-client >= 5.6.34-1.1
  • mysql-community-server-errormessages >= 5.6.34-1.1
  • mysql-community-server-test >= 5.6.34-1.1
  • mysql-community-server-tools >= 5.6.34-1.1
Patchnames:
openSUSE Tumbleweed GA libmysql56client18-32bit
openSUSE Tumbleweed GA libmysqlclient-devel